Bug 1030598 - error in pulp.log on node sync after upgrading
error in pulp.log on node sync after upgrading
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: nodes (Show other bugs)
2.3
Unspecified Unspecified
high Severity unspecified
: ---
: 2.3.0
Assigned To: Jason Connor
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 13:39 EST by Preethi Thomas
Modified: 2014-03-30 21:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:30:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-11-14 13:39:17 EST
Description of problem:

After a node-parent/child upgrade from 2.2 to 2.3 I see the following error in pulp.log when performing node sync on the repos that were existed before

#
2013-11-14 14:03:49,608 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: generate_yum_metadata finished processing 86 units
#
2013-11-14 14:03:49,655 pulp.plugins.pulp_rpm.yum_plugin.metadata:ERROR: Error performing final move, could be missing pkg metadata files
#
2013-11-14 14:03:49,655 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Modifying repo for comps metadata
#
2013-11-14 14:03:50,001 pulp.plugins.pulp_rpm.yum_plugin.metadata:ERROR: modifyrepo on /var/lib/pulp/working/repos/live-rhel-6-server-x86_64-pulp/distributors/yum_distributor/repodata failed
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. upgrade a parent & child node with repos synced
2. run node sync after the upgrade
3.

Actual results:
#
2013-11-14 14:03:49,608 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: generate_yum_metadata finished processing 86 units
#
2013-11-14 14:03:49,655 pulp.plugins.pulp_rpm.yum_plugin.metadata:ERROR: Error performing final move, could be missing pkg metadata files
#
2013-11-14 14:03:49,655 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Modifying repo for comps metadata
#
2013-11-14 14:03:50,001 pulp.plugins.pulp_rpm.yum_plugin.metadata:ERROR: modifyrepo on /var/lib/pulp/working/repos/live-rhel-6-server-x86_64-pulp/distributors/yum_distributor/repodata failed

Expected results:


Additional info:
Comment 1 Michael Hrivnak 2013-11-21 11:49:09 EST
we can move this to 2.4 if it's not a big problem for 2.3
Comment 2 Michael Hrivnak 2013-11-25 13:39:10 EST
seems to have been fixed by the fix for https://bugzilla.redhat.com/show_bug.cgi?id=1033776
Comment 3 Preethi Thomas 2013-11-26 16:07:24 EST
Verified

After upgrading ran the node sync and found no errors in the pulp.log

2013-11-26 16:02:51,650 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: existing metadata found; taking backup.
2013-11-26 16:02:51,997 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: generate_yum_metadata processing 305 units of type rpm, 0 total units have already been processed
2013-11-26 16:02:51,998 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Performing per unit metadata merge on 305 units
2013-11-26 16:02:52,633 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: per unit metadata merge completed in 0.635033130646 seconds
2013-11-26 16:02:52,644 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: generate_yum_metadata finished processing 305 units
2013-11-26 16:02:52,956 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: existing metadata found; taking backup.
2013-11-26 16:02:52,969 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: generate_yum_metadata processing 3 units of type rpm, 0 total units have already been processed
2013-11-26 16:02:52,969 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Performing per unit metadata merge on 3 units
2013-11-26 16:02:52,993 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: per unit metadata merge completed in 0.0229771137238 seconds
2013-11-26 16:02:52,998 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: generate_yum_metadata finished processing 3 units
2013-11-26 16:02:54,289 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: comps xml path does not exist; skipping merge
2013-11-26 16:02:54,290 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: updateinfo xml path does not exist; skipping merge
2013-11-26 16:02:54,290 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: check scratchpad for any repodata
2013-11-26 16:02:54,290 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Metadata generation finished in 1.3343641758 seconds
2013-11-26 16:02:54,292 pulp.plugins.yum_distributor.distributor:INFO: HTTPS Publishing repo <uploads> to </var/lib/pulp/published/https/repos/uploads>
2013-11-26 16:02:54,292 pulp.plugins.yum_distributor.distributor:INFO: Publish complete:  summary = <{'num_package_units_errors': 0, 'https_publish_dir': u'/var/lib/pulp/published/https/repos/uploads', 'num_package_categories_published': 0, 'num_distribution_units_errors': 0, 'skip_metadata_update': False, 'num_distribution_units_published': 0, 'num_package_groups_published': 0, 'num_package_units_attempted': 3, 'num_package_units_published': 3, 'num_distribution_units_attempted': 0, 'relative_path': u'uploads'}>, details = <{'errors': [], 'time_metadata_sec': 1.3377809524536133}>
2013-11-26 16:03:07,178 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: comps xml path does not exist; skipping merge
2013-11-26 16:03:07,179 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: updateinfo xml path does not exist; skipping merge
2013-11-26 16:03:07,179 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: check scratchpad for any repodata
2013-11-26 16:03:07,179 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Metadata generation finished in 15.528799057 seconds
2013-11-26 16:03:07,181 pulp.plugins.yum_distributor.distributor:INFO: HTTPS Publishing repo <puppet> to </var/lib/pulp/published/https/repos/puppet>
2013-11-26 16:03:07,182 pulp.plugins.yum_distributor.distributor:INFO: Publish complete:  summary = <{'num_package_units_errors': 0, 'https_publish_dir': u'/var/lib/pulp/published/https/repos/puppet', 'num_package_categories_published': 0, 'num_distribution_units_errors': 0, 'skip_metadata_update': False, 'num_distribution_units_published': 0, 'num_package_groups_published': 0, 'num_package_units_attempted': 305, 'num_package_units_published': 305, 'num_distribution_units_attempted': 0, 'relative_path': u'puppet'}>, details = <{'errors': [], 'time_metadata_sec': 15.532376050949097}>
2013-11-26 16:03:07,194 pulp.plugins.pulp_rpm.yum_plugin.updateinfo:INFO: updateinfo.xml generated and written to file /var/lib/pulp/working/repos/zoo/distributors/yum_distributor/updateinfo.xml
2013-11-26 16:03:07,200 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: existing metadata found; taking backup.
2013-11-26 16:03:07,214 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: generate_yum_metadata processing 32 units of type rpm, 0 total units have already been processed
2013-11-26 16:03:07,214 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Performing per unit metadata merge on 32 units
2013-11-26 16:03:07,216 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: per unit metadata merge completed in 0.00156903266907 seconds
2013-11-26 16:03:07,222 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: generate_yum_metadata finished processing 32 units
2013-11-26 16:03:08,214 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Modifying repo for comps metadata
2013-11-26 16:03:08,324 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: modifyrepo with /var/lib/pulp/working/repos/zoo/distributors/yum_distributor/group.xml on /var/lib/pulp/working/repos/zoo/distributors/yum_distributor/repodata finished
2013-11-26 16:03:08,325 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Modifying repo for updateinfo metadata
2013-11-26 16:03:08,439 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: modifyrepo with /var/lib/pulp/working/repos/zoo/distributors/yum_distributor/updateinfo.xml on /var/lib/pulp/working/repos/zoo/distributors/yum_distributor/repodata finished
2013-11-26 16:03:08,440 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: check scratchpad for any repodata
2013-11-26 16:03:08,440 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Metadata generation finished in 1.24019098282 seconds
2013-11-26 16:03:08,443 pulp.plugins.yum_distributor.distributor:INFO: HTTPS Publishing repo <zoo> to </var/lib/pulp/published/https/repos/repos/pulp/pulp/demo_repos/zoo>
2013-11-26 16:03:08,445 pulp.plugins.yum_distributor.distributor:INFO: Publish complete:  summary = <{'num_package_units_errors': 0, 'https_publish_dir': u'/var/lib/pulp/published/https/repos/repos/pulp/pulp/demo_repos/zoo', 'num_package_categories_published': 1, 'num_distribution_units_errors': 0, 'skip_metadata_update': False, 'num_distribution_units_published': 0, 'num_package_groups_published': 2, 'num_package_units_attempted': 32, 'num_package_units_published': 32, 'num_distribution_units_attempted': 0, 'relative_path': u'repos/pulp/pulp/demo_repos/zoo/'}>, details = <{'errors': [], 'time_metadata_sec': 1.2430820465087891}>
Comment 4 Preethi Thomas 2013-12-09 09:30:00 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.